## sdlaudiosink sdlaudiosink — Output to a sound card via SDLAUDIO |

## Synopsis

    struct              GstSDLAudioSink;

## Description

## Synopsis

### Element Information

plugin | sdl
author | Edgard Lima <edgard.lima@indt.org.br>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, endianness=(int){ 1234 }, signed=(boolean){ true, false }, width=(int)16, depth=(int)16, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ]
| audio/x-raw-int, endianness=(int){ 1234 }, signed=(boolean){ true, false }, width=(int)8, depth=(int)8, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ]

## Details

### struct GstSDLAudioSink

    struct GstSDLAudioSink {
      GstAudioSink    sink;

      SDL_AudioSpec fmt;
      guint8 *buffer;

      gstsdl_semaphore semA;

      gstsdl_semaphore semB;

      gboolean eos;
    };